These docs are for v2.1. Click to read the latest docs for v3.0-HIP.

Weight

Get the weight measurement from a specific point in time.

Returns a weight reading
GET https://api.humanapi.co/v1/human/weight

Returns all weight readings
GET https://api.humanapi.co/v1/human/weight/readings

# Returns a json object of weight:
{
  "id": "5506f5080ba9b35f0af6cc8a",
  "userId": "52e20cb2fff56aac62000001",
  "timestamp": "2015-03-16T23:59:59.000Z",
  "tzOffset": "-07:00",
  "value": 92.9,
  "unit": "kg",
  "source": "fitbit",
  "sourceData": {},
  "createdAt": "2015-03-16T15:21:44.289Z",
  "updatedAt": "2015-03-16T15:24:48.475Z",
  "humanId": "5dc2527186aaf9de560e5841f1a44bd6"
}
# Get the latest weight measurement associated with the user
curl -H "Authorization: Bearer demo" "https://api.humanapi.co/v1/human/weight"

Response Properties

PropertyTypeDescription
idStringThe id of the reading
userIdString[deprecated - use humanId]
timestampDateThe original date and time of the measurement
humanIdStringUnique user identifier
tzOffsetStringThe offset from UTC time in +/-hh:mm (e.g. -04:00)
valueNumberThe value of the measurement in the unit specified
unitStringThe unit of the measurement value
createdAtDateThe time the measurement was created on the Human API server
updatedAtDateThe time the measurement was updated on the Human API server
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json